Skip to main content
`Ctrl`+`K`

# PetscDetermineInitialFPTrap

Attempts to determine the floating point trapping that exists when `PetscInitialize()` is called

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscDetermineInitialFPTrap(void)

Not Collective

## Note

Currently only supported on Linux and macOS. Checks if divide by zero is enable and if so declares that trapping is on.

## See Also

`PetscFPTrapPush()`, `PetscFPTrapPop()`, `PetscDetermineInitialFPTrap()`

## Level

advanced

## Location

src/sys/error/fp.c

## Examples

src/mat/tutorials/ex7.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages